<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Ciao Code Documentation: sd_dummy.f90 File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Ciao Code Documentation
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li><li class="navelem"><a class="el" href="dir_60f7e35e1ba30f1cf963b871c636d580.html">user_files</a></li><li class="navelem"><a class="el" href="dir_54780300dbfebe65285bb8a3e469de43.html">hooks_interface</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#func-members">Functions/Subroutines</a>  </div>
  <div class="headertitle">
<div class="title">user_files/hooks_interface/sd_dummy.f90 File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions/Subroutines</h2></td></tr>
<tr class="memitem:ad2b5a8ecee176c73a0ff8f33a2ab4185"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="user__files_2hooks__interface_2sd__dummy_8f90.html#ad2b5a8ecee176c73a0ff8f33a2ab4185">write_rif_restart_files</a> (sd_in, time_in)</td></tr>
<tr class="separator:ad2b5a8ecee176c73a0ff8f33a2ab4185"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af78ab74e5e80102edb11a98d1e23fc91"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="user__files_2hooks__interface_2sd__dummy_8f90.html#af78ab74e5e80102edb11a98d1e23fc91">lpt_write_particle_data</a> (first_sd, filename)</td></tr>
<tr class="separator:af78ab74e5e80102edb11a98d1e23fc91"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af89d853dd499f27c2fa6aa53ee6dda3f"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="user__files_2hooks__interface_2sd__dummy_8f90.html#af89d853dd499f27c2fa6aa53ee6dda3f">lpt_get_names_to_plot</a> (sd, lpt_names, n)</td></tr>
<tr class="separator:af89d853dd499f27c2fa6aa53ee6dda3f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3ff75daaddac58d7c9b22bba3f51f404"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="user__files_2hooks__interface_2sd__dummy_8f90.html#a3ff75daaddac58d7c9b22bba3f51f404">lpt_write_coordinates</a> (sd, lpt_name, fhandle, is_root)</td></tr>
<tr class="separator:a3ff75daaddac58d7c9b22bba3f51f404"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2829454ae12b39c02a6ee31af4510287"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="user__files_2hooks__interface_2sd__dummy_8f90.html#a2829454ae12b39c02a6ee31af4510287">lpt_write_diameter</a> (sd, lpt_name, fhandle, is_root)</td></tr>
<tr class="separator:a2829454ae12b39c02a6ee31af4510287"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a93f838359c7276a2e7bab9d80f0a58d5"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="user__files_2hooks__interface_2sd__dummy_8f90.html#a93f838359c7276a2e7bab9d80f0a58d5">lpt_write_velocity</a> (sd, lpt_name, fhandle, is_root)</td></tr>
<tr class="separator:a93f838359c7276a2e7bab9d80f0a58d5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3debcadf1f58269e5597adfb57b21457"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="user__files_2hooks__interface_2sd__dummy_8f90.html#a3debcadf1f58269e5597adfb57b21457">lpt_write_temperature</a> (sd, lpt_name, fhandle, is_root)</td></tr>
<tr class="separator:a3debcadf1f58269e5597adfb57b21457"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acf3daaf14cecdbe1864330d1beb330aa"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="user__files_2hooks__interface_2sd__dummy_8f90.html#acf3daaf14cecdbe1864330d1beb330aa">lpt_write_theta</a> (sd, lpt_name, fhandle, is_root)</td></tr>
<tr class="separator:acf3daaf14cecdbe1864330d1beb330aa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4753c5b2093bbda9f4e0bb1a045fd269"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="user__files_2hooks__interface_2sd__dummy_8f90.html#a4753c5b2093bbda9f4e0bb1a045fd269">lpt_write_sigma</a> (sd, lpt_name, fhandle, is_root)</td></tr>
<tr class="separator:a4753c5b2093bbda9f4e0bb1a045fd269"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af759409a29de6a16e2f10347ae84549a"><td class="memItemLeft" align="right" valign="top">integer function&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="user__files_2hooks__interface_2sd__dummy_8f90.html#af759409a29de6a16e2f10347ae84549a">lpt_get_n_lpt</a> (sd)</td></tr>
<tr class="separator:af759409a29de6a16e2f10347ae84549a"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Function/Subroutine Documentation</h2>
<a id="af759409a29de6a16e2f10347ae84549a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af759409a29de6a16e2f10347ae84549a">&#9670;&nbsp;</a></span>lpt_get_n_lpt()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">integer function lpt_get_n_lpt </td>
          <td>(</td>
          <td class="paramtype">type(<a class="el" href="structsd__defs_1_1sd__.html">sd_</a>), intent(inout)&#160;</td>
          <td class="paramname"><em>sd</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="af89d853dd499f27c2fa6aa53ee6dda3f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af89d853dd499f27c2fa6aa53ee6dda3f">&#9670;&nbsp;</a></span>lpt_get_names_to_plot()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine lpt_get_names_to_plot </td>
          <td>(</td>
          <td class="paramtype">type(<a class="el" href="structsd__defs_1_1sd__.html">sd_</a>), intent(inout)&#160;</td>
          <td class="paramname"><em>sd</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">character(len=str_medium), dimension(n), intent(inout)&#160;</td>
          <td class="paramname"><em>lpt_names</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer, intent(in)&#160;</td>
          <td class="paramname"><em>n</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a3ff75daaddac58d7c9b22bba3f51f404"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3ff75daaddac58d7c9b22bba3f51f404">&#9670;&nbsp;</a></span>lpt_write_coordinates()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine lpt_write_coordinates </td>
          <td>(</td>
          <td class="paramtype">type(<a class="el" href="structsd__defs_1_1sd__.html">sd_</a>), intent(inout)&#160;</td>
          <td class="paramname"><em>sd</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">character(len=str_medium), intent(in)&#160;</td>
          <td class="paramname"><em>lpt_name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer, intent(in)&#160;</td>
          <td class="paramname"><em>fhandle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">logical, intent(in)&#160;</td>
          <td class="paramname"><em>is_root</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a2829454ae12b39c02a6ee31af4510287"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2829454ae12b39c02a6ee31af4510287">&#9670;&nbsp;</a></span>lpt_write_diameter()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine lpt_write_diameter </td>
          <td>(</td>
          <td class="paramtype">type(<a class="el" href="structsd__defs_1_1sd__.html">sd_</a>), intent(inout)&#160;</td>
          <td class="paramname"><em>sd</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">character(len=str_medium), intent(in)&#160;</td>
          <td class="paramname"><em>lpt_name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer, intent(in)&#160;</td>
          <td class="paramname"><em>fhandle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">logical, intent(in)&#160;</td>
          <td class="paramname"><em>is_root</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="af78ab74e5e80102edb11a98d1e23fc91"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af78ab74e5e80102edb11a98d1e23fc91">&#9670;&nbsp;</a></span>lpt_write_particle_data()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine lpt_write_particle_data </td>
          <td>(</td>
          <td class="paramtype">type(<a class="el" href="structsd__defs_1_1sd__.html">sd_</a>), intent(inout)&#160;</td>
          <td class="paramname"><em>first_sd</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">character(len=*), intent(in)&#160;</td>
          <td class="paramname"><em>filename</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a4753c5b2093bbda9f4e0bb1a045fd269"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4753c5b2093bbda9f4e0bb1a045fd269">&#9670;&nbsp;</a></span>lpt_write_sigma()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine lpt_write_sigma </td>
          <td>(</td>
          <td class="paramtype">type(<a class="el" href="structsd__defs_1_1sd__.html">sd_</a>), intent(inout)&#160;</td>
          <td class="paramname"><em>sd</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">character(len=str_medium), intent(in)&#160;</td>
          <td class="paramname"><em>lpt_name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer, intent(in)&#160;</td>
          <td class="paramname"><em>fhandle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">logical, intent(in)&#160;</td>
          <td class="paramname"><em>is_root</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a3debcadf1f58269e5597adfb57b21457"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3debcadf1f58269e5597adfb57b21457">&#9670;&nbsp;</a></span>lpt_write_temperature()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine lpt_write_temperature </td>
          <td>(</td>
          <td class="paramtype">type(<a class="el" href="structsd__defs_1_1sd__.html">sd_</a>), intent(inout)&#160;</td>
          <td class="paramname"><em>sd</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">character(len=str_medium), intent(in)&#160;</td>
          <td class="paramname"><em>lpt_name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer, intent(in)&#160;</td>
          <td class="paramname"><em>fhandle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">logical, intent(in)&#160;</td>
          <td class="paramname"><em>is_root</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="acf3daaf14cecdbe1864330d1beb330aa"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acf3daaf14cecdbe1864330d1beb330aa">&#9670;&nbsp;</a></span>lpt_write_theta()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine lpt_write_theta </td>
          <td>(</td>
          <td class="paramtype">type(<a class="el" href="structsd__defs_1_1sd__.html">sd_</a>), intent(inout)&#160;</td>
          <td class="paramname"><em>sd</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">character(len=str_medium), intent(in)&#160;</td>
          <td class="paramname"><em>lpt_name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer, intent(in)&#160;</td>
          <td class="paramname"><em>fhandle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">logical, intent(in)&#160;</td>
          <td class="paramname"><em>is_root</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a93f838359c7276a2e7bab9d80f0a58d5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a93f838359c7276a2e7bab9d80f0a58d5">&#9670;&nbsp;</a></span>lpt_write_velocity()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine lpt_write_velocity </td>
          <td>(</td>
          <td class="paramtype">type(<a class="el" href="structsd__defs_1_1sd__.html">sd_</a>), intent(inout)&#160;</td>
          <td class="paramname"><em>sd</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">character(len=str_medium), intent(in)&#160;</td>
          <td class="paramname"><em>lpt_name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer, intent(in)&#160;</td>
          <td class="paramname"><em>fhandle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">logical, intent(in)&#160;</td>
          <td class="paramname"><em>is_root</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ad2b5a8ecee176c73a0ff8f33a2ab4185"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad2b5a8ecee176c73a0ff8f33a2ab4185">&#9670;&nbsp;</a></span>write_rif_restart_files()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine write_rif_restart_files </td>
          <td>(</td>
          <td class="paramtype">type(<a class="el" href="structsd__defs_1_1sd__.html">sd_</a>), intent(inout), target&#160;</td>
          <td class="paramname"><em>sd_in</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">real(wp), intent(in), optional&#160;</td>
          <td class="paramname"><em>time_in</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Aug 7 2020 16:17:49 for Ciao Code Documentation by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
